//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
typedef long __stdcall MLoad(char *filename,char *password);
typedef long __stdcall MEncode(long id,long pageno);
typedef long __stdcall MFree(long id);
typedef long __stdcall MGetCount(long id);
typedef long __stdcall MSetParam( long id,char *outpath,long imagetype,long bitcount,long quality,
				long grayscale,long rotate,long width,long height,long xdpi,long ydpi);

//---------------------------------------------------------------------------
const IMAGE_FORMAT_JPG = 1;
const IMAGE_FORMAT_JP2 = 2;
const IMAGE_FORMAT_JPC = 3;

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TButton *Button1;
        TButton *Button2;
        TProgressBar *ProgressBar1;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
private:	// User declarations
	HMODULE	m_hinstLib;
	MLoad *pLoad;
	MEncode *pEncode;
	MFree *pFree;	
	MGetCount *pGetCount;
	MSetParam *pSetParam;

private:
	BOOL LoadPdfToJpegDll();
	BOOL FreePdfToJpegDll();

public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 