﻿Public Class Form1
    Private Declare Function MLoad Lib "pdftojpeg.dll" (ByVal filename As String, ByVal password As String) As Integer
    Private Declare Function MEncode Lib "pdftojpeg.dll" (ByVal id As Integer, ByVal pageno As Integer) As Integer
    Private Declare Function MFree Lib "pdftojpeg.dll" (ByVal id As Integer) As Integer
    Private Declare Function MGetCount Lib "pdftojpeg.dll" (ByVal id As Integer) As Integer

    Private Declare Function MSetParam Lib "pdftojpeg.dll" (ByVal id As Integer, ByVal outpath As String, ByVal imagetype As Integer, _
    ByVal bitcount As Integer, ByVal quality As Integer, ByVal grayscale As Integer, ByVal rotate As Integer, _
    ByVal width As Integer, ByVal height As Integer, ByVal xdpi As Integer, ByVal ydpi As Integer) As Integer

    'Image formats
    Const IMAGE_FORMAT_JPG = 1
    Const IMAGE_FORMAT_JP2 = 2
    Const IMAGE_FORMAT_JPC = 3

    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Dim id As Integer
        Dim pageCount As Integer
        Dim i As Integer

        id = MLoad("test.pdf", "")
        Select Case id
            Case -1
                MsgBox("PDF file unexist or damaged!")
                Exit Sub
            Case -2
                MsgBox("PDF file is restricted!")
                Exit Sub
        End Select

        MSetParam(id, "", IMAGE_FORMAT_JPG, 24, 75, 0, 0, 0, 0, 96, 96)

        pageCount = MGetCount(id)
        For i = 1 To pageCount
            MEncode(id, i)
            ProgressBar1.Value = Math.Round((i * 100) / pageCount)
        Next

        MFree(id)
        MsgBox("Convert finished!")

    End Sub

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
        Dim id As Integer
        Dim pageCount As Integer
        Dim i As Integer


        id = MLoad("test.pdf", "")
        Select Case id
            Case -1
                MsgBox("PDF file unexist or damaged!")
                Exit Sub
            Case -2
                MsgBox("PDF file is restricted!")
                Exit Sub
        End Select

        MSetParam(id, "", IMAGE_FORMAT_JP2, 24, 75, 0, 90, 800, 600, 120, 120)

        pageCount = MGetCount(id)
        For i = 1 To pageCount
            MEncode(id, i)
            ProgressBar1.Value = Math.Round((i * 100) / pageCount)
        Next

        MFree(id)
        MsgBox("Convert finished!")

    End Sub
End Class
